import { _decorator, Component, Node } from 'cc';
import { PlayerResourceIcon } from './PlayerResourceIcon';
const { ccclass, property } = _decorator;

@ccclass('PlayerResourceIconSelect')
export class PlayerResourceIconSelect extends Component {
    
    @property(PlayerResourceIcon)
    icon:PlayerResourceIcon;

    //选中节点
    @property(Node)
    select:Node;

    //不可选中节点
    @property(Node)
    noselect:Node;

    //是否被选中
    _isSelect:boolean = false;
    get isSelect(){
        return this._isSelect;
    }
    set isSelect(data:boolean){
        this._isSelect = data;
        this.onUpdateSelect();
    }

    //是否不可选中
    _isNoSelect:boolean = false;
    get isNoSelect(){
        return this._isNoSelect;
    }
    set isNoSelect(data:boolean){
        this._isNoSelect = data;
        this.onUpdateSelect();
    }

    onLoad(){
        this.onUpdateSelect();
        this.noselect.active = false;
        this.select.active = false;
    }

    
    //设置
    set(id:number){

        this.icon.set(id);
        
    }

    onUpdateSelect(){

        this.select.active = this.isSelect;
        this.noselect.active = this.isNoSelect;

    }

}


