package cn.jisol.ngame.frame.network;

import cn.jisol.ngame.NSystem;
import cn.jisol.ngame.actions.SystemAction;
import cn.jisol.ngame.client.NClient;
import cn.jisol.ngame.frame.network.client.GClient;
import cn.jisol.ngame.network.JNetwork;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;

import javax.websocket.OnClose;
import javax.websocket.OnMessage;
import javax.websocket.OnOpen;
import javax.websocket.Session;
import javax.websocket.server.ServerEndpoint;
import java.io.InputStream;
import java.util.Map;
import java.util.Objects;
import java.util.concurrent.ConcurrentHashMap;

@ServerEndpoint(
    value = "/websocket"
)
@Controller
public class WebSocket {

    public static final Map<String, GClient> CLIENTS = new ConcurrentHashMap<>();

    @OnOpen
    public void onOpen(Session session){

        GClient client = new GClient(session);
        CLIENTS.put(session.getId(), client);
        JNetwork.onConnect(client,client,CLIENTS);

        NSystem.Log("连接WebSocket成功");

    }

    @OnMessage(maxMessageSize = 5242880)
    public void onMessage(Session session, InputStream inputStream){

        NSystem.Log("收到请求");

        GClient client = CLIENTS.get(session.getId());
        JNetwork.onMessage(inputStream,client,client,CLIENTS);

    }

    @OnClose
    public void onClose(Session session){
        NClient client = CLIENTS.get(session.getId());
        CLIENTS.remove(session.getId());
        JNetwork.onDisconnect(client,client,CLIENTS);
        if(CLIENTS.size() == 0){
            SystemAction.NSyncFrameEnd();
        }
    }

}
