package cn.jisol.game.controller.exception;

import cn.jisol.ngame.util.NewsContext;
import org.springframework.retry.RetryException;
import org.springframework.web.bind.annotation.ControllerAdvice;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.ResponseBody;

import static cn.jisol.game.controller.exception.ExceptionEnum.LOGIN_TOKEN;

@ControllerAdvice
public class HTTPExceptionHandler {

    //登录异常
    @ExceptionHandler(value = TokenException.class)
    @ResponseBody
    public NewsContext<String> loginExceptionHandler(TokenException e){
        return NewsContext.onMessage("Token 失效",null,LOGIN_TOKEN);
    }

    //资源不够
    @ExceptionHandler(value = ResourceNotException.class)
    @ResponseBody
    public NewsContext<String> retryExceptionHandler(ResourceNotException e){
        return NewsContext.onFail(e.getMessage());
    }

    //并发异常
    @ExceptionHandler(value = RetryException.class)
    @ResponseBody
    public NewsContext<String> retryExceptionHandler(RetryException e){
        return NewsContext.onFail("服务器忙碌啦~ 一会再试试.");
    }

    //通用错误
    @ExceptionHandler(value = GeneralException.class)
    @ResponseBody
    public NewsContext<String> generalHandler(Exception e){
        return NewsContext.onFail(e.getMessage());
    }
    //全局异常
    @ExceptionHandler(value = Exception.class)
    @ResponseBody
    public NewsContext<String> exceptionHandler(Exception e){
        e.printStackTrace();
        return NewsContext.onFail("异常错误:"+e.getMessage());
    }
}
