package cn.jisol.game.entity.table;

import cfg.TB.TbGRoleEquipLevel;
import cn.jisol.game.data.TD;
import cn.jisol.game.entity.data.GAttribute;
import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.handlers.FastjsonTypeHandler;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.*;
import java.util.stream.Collectors;

@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
@Data
@TableName(value = "`equip_forging_bench`",autoResultMap = true)
public class EquipForgingBench {

    @TableId(type = IdType.AUTO)
    private Integer forgingId;          //锻造台Id
    private Long playerId;              //锻造台所属的玩家Id
    private Integer forgingQuality;     //锻造品质等级
    private Integer forgingPetId;       //当前占用宠物Id
    private Long forgingUpTime;         //升级结束时间(服务器)

    @Version
    private Integer version;

    @TableField(typeHandler = FastjsonTypeHandler.class)
    private Map<String,Integer> forgingPetLevels;         //锻造宠等级信息{宠物Id:宠物经验}

    public Map<String, Integer> getForgingPetLevels() {
        if(Objects.isNull(forgingPetLevels))
            return this.forgingPetLevels = new HashMap<>();
        return forgingPetLevels;
    }

    //获取锻造等级
    public Integer getForgingLevel() {
        List<TbGRoleEquipLevel> collect = TD.DATA.getTbGRoleEquipLevel().getDataList().stream().filter(info -> info.exp <= this.getForgingPetLevels().getOrDefault(this.getForgingPetId().toString(),0)).collect(Collectors.toList());
        return collect.get(collect.size() - 1).id;
    }

    public Integer getForgingPetId(){
        if(Objects.isNull(this.forgingPetId))
            return 0;
        return this.forgingPetId;
    }

    //提升指定宠物锻造经验
    public boolean addForgingPetLevel(Integer exp) {
        Integer petId = this.forgingPetId;
        if (Objects.isNull(petId)) return false;
        Integer level = this.getForgingPetLevels().get(petId.toString());
        if(Objects.isNull(level)) level = 0;
        level += 1;
        this.getForgingPetLevels().put(petId.toString(),level);
        return true;
    }

}
