package cn.jisol.game.entity.table;

import cfg.TbGEntity.TResource;
import cfg.TbGEntity.TReward;
import cn.jisol.game.entity.data.GResource;
import cn.jisol.game.entity.data.GReward;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.handlers.FastjsonTypeHandler;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@NoArgsConstructor
@AllArgsConstructor
@Builder
@Data
@TableName(value = "`gift_record`",autoResultMap = true)
public class GiftRecord {

    @TableId(type = IdType.AUTO)
    private Long giftId;                       //礼包Id
    private Long playerId;                     //玩家Id
    private Integer giftCfgId;                   //礼包配置表Id
    private String giftCfgName;               //礼包名称

    @TableField(typeHandler = FastjsonTypeHandler.class)
    private List<GReward> giftCfgRewards;     //礼包奖励
    @TableField(typeHandler = FastjsonTypeHandler.class)
    private List<GResource> giftCfgExchanges;     //礼包价格

    private Long giftBuyingTime;              //礼包购买时间戳

}
