package cn.jisol.game.entity.table;


import cn.jisol.game.entity.data.GAttribute;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.handlers.FastjsonTypeHandler;
import lombok.Builder;
import lombok.Data;

import java.util.List;

//宠物装备
@Data
@TableName(value = "`pet_equip`",autoResultMap = true)
public class PetEquip {

    @TableId(type = IdType.AUTO)
    private Integer equipId;                    //装备唯一Id
    private Integer equipCfgId;                 //装备配置表Id
    private Long equipPlayerId;              //装备的所属玩家Id
    private Integer equipLevel;                 //装备等级
    private Long equipPetId;                  //当前装备穿戴的宠物Id
    private Integer equipPosition;              //装备部位

    @TableField(typeHandler = FastjsonTypeHandler.class)
    private List<GAttribute> equipBaseAttributes;         //装备基础属性列表 JSON
    @TableField(typeHandler = FastjsonTypeHandler.class)
    private List<GAttribute> equipHighAttributes;         //装备高级属性列表 JSON
}
