package cn.jisol.game.manager;

import cn.jisol.game.actions.GActionEnum;
import cn.jisol.game.entity.table.GiftDayRecord;
import cn.jisol.game.network.WebSocket;
import cn.jisol.game.network.client.GClient;
import cn.jisol.game.service.GiftDayRecordService;
import cn.jisol.game.service.GiftRecordService;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Service;

import java.util.Map;

@Service
public class GScheduledManager {

    @Autowired
    GiftDayRecordService giftDayRecordService;

    //获取所有在线玩家
    public Map<String, GClient> getClients(){
        return WebSocket.CLIENTS;
    }

    //每天重置 任务
    @Scheduled(cron="0 0 0 * * ?")
    public void dayReset(){

        System.out.println("定时器执行[每天重置] ScheduledManager - dayReset");

        //重置每日礼包记录
        giftDayRecordService.remove(Wrappers.lambdaQuery(GiftDayRecord.class));
        System.out.println("定时器执行[每天重置] ScheduledManager - dayReset : 重置每日礼包记录");

        //通知所有玩家 - 每天重置结束
        getClients().values().forEach(client1 -> {
            client1.invoke(GActionEnum.C_TASK_PUSH_DAY_RESET);
        });

    }


}
