package cn.jisol.game.mapper;

import cn.jisol.game.entity.mode.ModeOnHook;
import cn.jisol.game.vo.mode.ModeOnHookRankingOV;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public interface ModeOnHookMapper extends BaseMapper<ModeOnHook> {

    //排行榜
    @Select("SET @rank = 0;\n" +
            "SELECT \n" +
            "    p.player_id,\n" +
            "    p.player_name,\n" +
            "    IFNULL(o.level_id,0) AS level_id,\n" +
            "    o.rank,\n" +
            "    #{mapId} AS map_id\n" +
            "FROM \n" +
            "    (SELECT \n" +
            "        player_id,\n" +
            "        JSON_EXTRACT(on_hook_info, CONCAT('$.maps.\"',#{mapId},'\"')) AS level_id,\n" +
            "        @rank := @rank + 1 AS rank\n" +
            "     FROM mode_on_hook \n" +
            "     ORDER BY JSON_EXTRACT(on_hook_info, CONCAT('$.maps.\"',#{mapId},'\"')) DESC) AS o\n" +
            "RIGHT JOIN player AS p ON o.player_id = p.player_id\n" +
            "WHERE o.player_id = #{playerId} OR o.rank < 11;")
    List<ModeOnHookRankingOV> onRankings(@Param("mapId") String mapId,@Param("playerId") Long playerId);

}