package cn.jisol.game.service.impl;

import cn.jisol.game.data.ResourceId;
import cn.jisol.game.entity.table.Player;
import cn.jisol.game.entity.table.PlayerPet;
import cn.jisol.game.entity.table.Resource;
import cn.jisol.game.mapper.PlayerPetMapper;
import cn.jisol.game.service.PlayerPetService;
import cn.jisol.game.service.ResourceService;
import cn.jisol.game.vo.news.ov.ResourceUpdateOV;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class PlayerPetServiceImpl extends ServiceImpl<PlayerPetMapper, PlayerPet> implements PlayerPetService {

    @Autowired
    ResourceService resourceService;

    @Override
    public ResourceUpdateOV addPlayerPet(Player player, PlayerPet pet) {

        //是否有这个宠物
        long count = this.count(Wrappers.lambdaQuery(PlayerPet.class)
                .eq(PlayerPet::getPetPlayerId,player.getPlayerId())
                .eq(PlayerPet::getPetTbId,pet.getPetTbId()));

        if(count > 0){
            //如果有这个宠物则转换成材料
            return ResourceUpdateOV.onUpdate(resourceService.addResourceValue(player.getPlayerId(),ResourceId.Q1S.id, 1L));
        }else{
            if (this.save(pet)){
                return ResourceUpdateOV.onPet(ResourceUpdateOV.ResourceUpdateType.ADD,pet);
            }
            return null;
        }
    }
}
