package cn.jisol.game.vo.news;

import cfg.TbGEntity.TResource;
import cfg.TbGEntity.TReward;
import cn.jisol.game.entity.table.Resource;
import cn.jisol.game.vo.news.ov.ResourceUpdateOV;
import io.swagger.annotations.ApiResponse;
import io.swagger.annotations.ApiResponses;
import lombok.experimental.SuperBuilder;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

//返回带资源领取的消息
@SuperBuilder
@ApiResponses({
    @ApiResponse(code = 200,message = "成功"),
    @ApiResponse(code = 500,message = "失败"),
})
public class NewsReward<T> extends NewsResource<T>{

    public List<TReward> rewards = new ArrayList<>();

    public static <T> NewsReward<T> onSuccess(String msg){
        return onMessage(msg,null,NEWS_STATE_SUCCESS,new ArrayList<>(),new ArrayList<>());
    }
    public static <T> NewsReward<T> onSuccess(String msg,T data){
        return onMessage(msg,data,NEWS_STATE_SUCCESS,new ArrayList<>(),new ArrayList<>());
    }
    public static <T> NewsReward<T> onSuccess(String msg,T data,ResourceUpdateOV... resource){
        return onMessage(msg,data,NEWS_STATE_SUCCESS, Arrays.asList(resource),new ArrayList<>());
    }
    public static <T> NewsReward<T> onSuccess(String msg,T data,List<ResourceUpdateOV> resource){
        return onMessage(msg,data,NEWS_STATE_SUCCESS, resource,new ArrayList<>());
    }
    public static <T> NewsReward<T> onSuccess(String msg,T data,List<ResourceUpdateOV> resource, List<TReward> rewards){
        return onMessage(msg,data,NEWS_STATE_SUCCESS, resource,rewards);
    }

    public static <T> NewsReward<T> onFail(String msg){
        return onMessage(msg,null,NEWS_STATE_FAIL,new ArrayList<>(),new ArrayList<>());
    }
    public static <T> NewsReward<T> onFail(String msg, T data){
        return onMessage(msg,data,NEWS_STATE_FAIL,new ArrayList<>(),new ArrayList<>());
    }

    public static <T> NewsReward<T> onMessage(String msg, T data, Integer state, List<ResourceUpdateOV> resource, List<TReward> rewards){
        return (NewsReward<T>) NewsReward.builder().state(state).msg(msg).data(data).resources(resource).rewards(rewards).build();
    }

}
