-- MySQL dump 10.13  Distrib 5.7.34, for Win64 (x86_64)
--
-- Host: localhost    Database: pet_jisol_cn
-- ------------------------------------------------------
-- Server version	5.7.34-log

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `dungeon`
--

DROP TABLE IF EXISTS `dungeon`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dungeon` (
  `dungeon_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '副本唯一Id',
  `player_id` bigint(20) NOT NULL COMMENT '副本玩家Id',
  `dungeon_cfg_id` bigint(20) NOT NULL COMMENT '副本配置表Id',
  `dungeon_cfg_item_id` int(11) DEFAULT NULL COMMENT '副本进度表Id',
  PRIMARY KEY (`dungeon_id`),
  UNIQUE KEY `player_id_dungeon_cfg_id` (`player_id`,`dungeon_cfg_id`)
) ENGINE=InnoDB AUTO_INCREMENT=15 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dungeon`
--

LOCK TABLES `dungeon` WRITE;
/*!40000 ALTER TABLE `dungeon` DISABLE KEYS */;
INSERT INTO `dungeon` VALUES (1,507,160001,4),(2,507,160002,3),(3,513,160001,2),(4,513,160002,2),(5,515,160001,2),(6,515,160002,1),(7,516,160001,2),(8,516,160002,1),(9,520,160001,3),(10,520,160002,1),(11,524,160001,1),(12,524,160002,1),(13,525,160001,1),(14,525,160002,1);
/*!40000 ALTER TABLE `dungeon` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `equip_forging_bench`
--

DROP TABLE IF EXISTS `equip_forging_bench`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `equip_forging_bench` (
  `forging_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '锻造台Id',
  `player_id` bigint(20) NOT NULL COMMENT '锻造台所属的玩家Id',
  `forging_quality` bigint(20) unsigned NOT NULL COMMENT '锻造品质等级',
  `forging_pet_id` bigint(20) unsigned DEFAULT NULL COMMENT '当前占用宠物Id',
  `forging_pet_levels` json DEFAULT NULL COMMENT '锻造宠等级信息{宠物Id:宠物经验}',
  `forging_up_time` bigint(20) NOT NULL DEFAULT '0' COMMENT '服务器升级结束时间',
  `version` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '版本号',
  PRIMARY KEY (`forging_id`),
  KEY `forging_player_id` (`player_id`)
) ENGINE=InnoDB AUTO_INCREMENT=106 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `equip_forging_bench`
--

LOCK TABLES `equip_forging_bench` WRITE;
/*!40000 ALTER TABLE `equip_forging_bench` DISABLE KEYS */;
INSERT INTO `equip_forging_bench` VALUES (86,506,1,0,'{}',0,0),(87,507,4,2418,'{\"2411\": 11, \"2418\": 26}',1705745679441,42),(88,508,1,0,'{}',0,0),(89,509,1,0,'{}',0,0),(90,511,3,2425,'{\"2425\": 4}',1705543568851,10),(91,512,1,2429,'{\"2429\": 2}',0,4),(92,513,1,2434,'{\"2434\": 8}',0,9),(93,514,1,0,'{}',0,0),(94,515,10,2439,'{\"2436\": 26, \"2439\": 36}',1705770437910,269),(95,516,1,2443,'{\"2441\": 20, \"2443\": 27}',0,51),(96,517,1,2447,'{}',0,1),(97,518,1,0,'{}',0,0),(98,519,1,0,'{}',0,0),(99,520,1,0,'{}',0,0),(100,521,1,0,'{}',0,0),(101,522,1,0,'{}',0,0),(102,523,1,0,'{}',0,0),(103,524,1,0,'{}',0,0),(104,525,1,2454,'{}',0,1),(105,526,1,0,'{}',0,0);
/*!40000 ALTER TABLE `equip_forging_bench` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `gift_day_record`
--

DROP TABLE IF EXISTS `gift_day_record`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `gift_day_record` (
  `gift_day_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '每天充值Id',
  `player_id` bigint(20) NOT NULL COMMENT '玩家Id',
  `gift_id` bigint(20) NOT NULL COMMENT '充值Id',
  `gift_cfg_id` bigint(20) NOT NULL COMMENT '礼包表Id',
  PRIMARY KEY (`gift_day_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `gift_day_record`
--

LOCK TABLES `gift_day_record` WRITE;
/*!40000 ALTER TABLE `gift_day_record` DISABLE KEYS */;
/*!40000 ALTER TABLE `gift_day_record` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `gift_record`
--

DROP TABLE IF EXISTS `gift_record`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `gift_record` (
  `gift_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '礼包Id',
  `player_id` bigint(20) NOT NULL COMMENT '玩家Id',
  `gift_cfg_id` bigint(20) NOT NULL COMMENT '礼包配置表Id',
  `gift_cfg_name` varchar(255) NOT NULL COMMENT '礼包名称',
  `gift_cfg_rewards` json NOT NULL COMMENT '礼包奖励',
  `gift_cfg_exchanges` json NOT NULL COMMENT '礼包价格',
  `gift_buying_time` bigint(20) NOT NULL COMMENT '礼包购买时间戳',
  PRIMARY KEY (`gift_id`),
  KEY `player_id` (`player_id`),
  KEY `gift_cfg_id` (`gift_cfg_id`)
) ENGINE=InnoDB AUTO_INCREMENT=72 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `gift_record`
--

LOCK TABLES `gift_record` WRITE;
/*!40000 ALTER TABLE `gift_record` DISABLE KEYS */;
INSERT INTO `gift_record` VALUES (28,507,190001,'限购矿石礼包','[{\"id\": 90002, \"type\": 1, \"value\": 20, \"typeId\": 103029105}]','[{\"id\": 90007, \"value\": 6, \"typeId\": 125240784}]',1705745965831),(29,507,190001,'限购矿石礼包','[{\"id\": 90002, \"type\": 1, \"value\": 20, \"typeId\": 103029105}]','[{\"id\": 90007, \"value\": 6, \"typeId\": 125240784}]',1705745969272),(30,507,190001,'限购矿石礼包','[{\"id\": 90002, \"type\": 1, \"value\": 20, \"typeId\": 103029105}]','[{\"id\": 90007, \"value\": 6, \"typeId\": 125240784}]',1705745972350),(31,507,180002,'好多金币礼包','[{\"id\": 90001, \"type\": 1, \"value\": 1000, \"typeId\": 103029105}, {\"id\": 90001, \"type\": 1, \"value\": 1000, \"typeId\": 103029105}, {\"id\": 90001, \"type\": 1, \"value\": 1000, \"typeId\": 103029105}, {\"id\": 90001, \"type\": 1, \"value\": 1000, \"typeId\": 103029105}]','[{\"id\": 90007, \"value\": 6, \"typeId\": 125240784}]',1705746013115),(32,507,180002,'好多金币礼包','[{\"id\": 90001, \"type\": 1, \"value\": 1000}, {\"id\": 90001, \"type\": 1, \"value\": 1000}, {\"id\": 90001, \"type\": 1, \"value\": 1000}, {\"id\": 90001, \"type\": 1, \"value\": 1000}]','[{\"id\": 90007, \"value\": 6}]',1705746236831),(33,507,190001,'限购矿石礼包','[{\"id\": 90002, \"type\": 1, \"value\": 20}]','[{\"id\": 90007, \"value\": 6}]',1705746243119),(34,507,200001,'每日矿石礼包','[{\"id\": 90002, \"type\": 1, \"value\": 20}]','[{\"id\": 90007, \"value\": 6}]',1705746247301),(35,507,180002,'好多金币礼包','[{\"id\": 90001, \"type\": 1, \"value\": 1000}, {\"id\": 90001, \"type\": 1, \"value\": 1000}, {\"id\": 90001, \"type\": 1, \"value\": 1000}, {\"id\": 90001, \"type\": 1, \"value\": 1000}]','[{\"id\": 90007, \"value\": 6}]',1705746281470),(36,507,180001,'金币礼包','[{\"id\": 90001, \"type\": 1, \"value\": 1000}]','[{\"id\": 90007, \"value\": 6}]',1705746728871),(37,507,180002,'好多金币礼包','[{\"id\": 90001, \"type\": 1, \"value\": 1000}, {\"id\": 90001, \"type\": 1, \"value\": 1000}, {\"id\": 90001, \"type\": 1, \"value\": 1000}, {\"id\": 90001, \"type\": 1, \"value\": 1000}]','[{\"id\": 90007, \"value\": 6}]',1705746732359),(38,507,190001,'限购矿石礼包','[{\"id\": 90002, \"type\": 1, \"value\": 20}]','[{\"id\": 90007, \"value\": 6}]',1705746737129),(39,513,180002,'好多金币礼包','[{\"id\": 90001, \"type\": 1, \"value\": 1000}, {\"id\": 90001, \"type\": 1, \"value\": 1000}, {\"id\": 90001, \"type\": 1, \"value\": 1000}, {\"id\": 90001, \"type\": 1, \"value\": 1000}]','[{\"id\": 90007, \"value\": 6}]',1705747750985),(40,513,190001,'限购矿石礼包','[{\"id\": 90002, \"type\": 1, \"value\": 20}]','[{\"id\": 90007, \"value\": 6}]',1705747754959),(41,513,180001,'金币礼包','[{\"id\": 90001, \"type\": 1, \"value\": 1000}]','[{\"id\": 90007, \"value\": 6}]',1705747757797),(42,513,190001,'限购矿石礼包','[{\"id\": 90002, \"type\": 1, \"value\": 20}]','[{\"id\": 90007, \"value\": 6}]',1705747794285),(43,513,190001,'限购矿石礼包','[{\"id\": 90002, \"type\": 1, \"value\": 20}]','[{\"id\": 90007, \"value\": 6}]',1705747796825),(44,507,180002,'好多金币礼包','[{\"id\": 90001, \"type\": 1, \"value\": 1000}, {\"id\": 90001, \"type\": 1, \"value\": 1000}, {\"id\": 90001, \"type\": 1, \"value\": 1000}, {\"id\": 90001, \"type\": 1, \"value\": 1000}]','[{\"id\": 90007, \"value\": 6}]',1705748200378),(45,507,180001,'金币礼包','[{\"id\": 90001, \"type\": 1, \"value\": 1000}]','[{\"id\": 90007, \"value\": 6}]',1705748203055),(46,507,200001,'每日矿石礼包','[{\"id\": 90002, \"type\": 1, \"value\": 20}]','[{\"id\": 90007, \"value\": 6}]',1705748208904),(47,507,200001,'每日矿石礼包','[{\"id\": 90002, \"type\": 1, \"value\": 20}]','[{\"id\": 90007, \"value\": 6}]',1705748227955),(48,507,200001,'每日矿石礼包','[{\"id\": 90002, \"type\": 1, \"value\": 20}]','[{\"id\": 90007, \"value\": 6}]',1705747990198),(49,507,200001,'每日矿石礼包','[{\"id\": 90002, \"type\": 1, \"value\": 20}]','[{\"id\": 90007, \"value\": 6}]',1705748070173),(50,507,200001,'每日矿石礼包','[{\"id\": 90002, \"type\": 1, \"value\": 20}]','[{\"id\": 90007, \"value\": 6}]',1705748363221),(51,515,200001,'每日矿石礼包','[{\"id\": 90002, \"type\": 1, \"value\": 20}]','[{\"id\": 90007, \"value\": 6}]',1705749425221),(52,515,190001,'限购矿石礼包','[{\"id\": 90002, \"type\": 1, \"value\": 20}]','[{\"id\": 90007, \"value\": 6}]',1705749428007),(53,515,180002,'好多金币礼包','[{\"id\": 90001, \"type\": 1, \"value\": 1000}, {\"id\": 90001, \"type\": 1, \"value\": 1000}, {\"id\": 90001, \"type\": 1, \"value\": 1000}, {\"id\": 90001, \"type\": 1, \"value\": 1000}]','[{\"id\": 90007, \"value\": 6}]',1705749430833),(54,515,200001,'每日矿石礼包','[{\"id\": 90002, \"type\": 1, \"value\": 20}]','[{\"id\": 90007, \"value\": 6}]',1705750242417),(55,515,180002,'好多金币礼包','[{\"id\": 90001, \"type\": 1, \"value\": 1000}, {\"id\": 90001, \"type\": 1, \"value\": 1000}, {\"id\": 90001, \"type\": 1, \"value\": 1000}, {\"id\": 90001, \"type\": 1, \"value\": 1000}]','[{\"id\": 90007, \"value\": 6}]',1705750272190),(56,515,200001,'每日矿石礼包','[{\"id\": 90002, \"type\": 1, \"value\": 20}]','[{\"id\": 90007, \"value\": 6}]',1705750275674),(57,507,180001,'金币礼包','[{\"id\": 90001, \"type\": 1, \"value\": 1000}]','[{\"id\": 90007, \"value\": 6}]',1705768689398),(58,507,180001,'金币礼包','[{\"id\": 90001, \"type\": 1, \"value\": 1000}]','[{\"id\": 90007, \"value\": 6}]',1705768693801),(59,516,210001,'锻造礼包','[{\"id\": 90002, \"type\": 1, \"value\": 20}]','[{\"id\": 90001, \"value\": 2000}]',1705770695951),(60,516,210001,'锻造礼包','[{\"id\": 90002, \"type\": 1, \"value\": 20}]','[{\"id\": 90001, \"value\": 2000}]',1705770784030),(61,516,210001,'锻造礼包','[{\"id\": 90002, \"type\": 1, \"value\": 20}]','[{\"id\": 90001, \"value\": 2000}]',1705771126029),(62,516,210001,'锻造礼包','[{\"id\": 90002, \"type\": 1, \"value\": 20}]','[{\"id\": 90001, \"value\": 2000}]',1705771128937),(63,516,210001,'锻造礼包','[{\"id\": 90002, \"type\": 1, \"value\": 20}]','[{\"id\": 90001, \"value\": 2000}]',1705771130641),(64,516,210001,'锻造礼包','[{\"id\": 90002, \"type\": 1, \"value\": 20}]','[{\"id\": 90001, \"value\": 2000}]',1705771132474),(65,516,210001,'锻造礼包','[{\"id\": 90002, \"type\": 1, \"value\": 20}]','[{\"id\": 90001, \"value\": 2000}]',1705771140074),(66,516,210001,'锻造礼包','[{\"id\": 90002, \"type\": 1, \"value\": 20}]','[{\"id\": 90001, \"value\": 2000}]',1705771141926),(67,516,210001,'锻造礼包','[{\"id\": 90002, \"type\": 1, \"value\": 20}]','[{\"id\": 90001, \"value\": 2000}]',1705771143848),(68,507,200001,'每日矿石礼包','[{\"id\": 90002, \"type\": 1, \"value\": 20}]','[{\"id\": 90007, \"value\": 6}]',1706466932354),(69,507,210001,'锻造礼包','[{\"id\": 90002, \"type\": 1, \"value\": 20}]','[{\"id\": 90001, \"value\": 2000}]',1706467226126),(70,507,210001,'锻造礼包','[{\"id\": 90002, \"type\": 1, \"value\": 20}]','[{\"id\": 90001, \"value\": 2000}]',1706467307878),(71,507,210001,'锻造礼包','[{\"id\": 90002, \"type\": 1, \"value\": 20}]','[{\"id\": 90001, \"value\": 2000}]',1706467335726);
/*!40000 ALTER TABLE `gift_record` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `mode_on_hook`
--

DROP TABLE IF EXISTS `mode_on_hook`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `mode_on_hook` (
  `player_id` bigint(32) unsigned NOT NULL COMMENT '玩家Id',
  `on_hook_map` bigint(32) unsigned NOT NULL COMMENT '当前玩家所在地图的配置表Id',
  `on_hook_info` json DEFAULT NULL COMMENT '玩家地图信息',
  PRIMARY KEY (`player_id`),
  UNIQUE KEY `player_id` (`player_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `mode_on_hook`
--

LOCK TABLES `mode_on_hook` WRITE;
/*!40000 ALTER TABLE `mode_on_hook` DISABLE KEYS */;
INSERT INTO `mode_on_hook` VALUES (506,120001,'{\"maps\": {}, \"mapStates\": {\"120001\": 1}}'),(507,120001,'{\"maps\": {\"120001\": 40}, \"mapStates\": {\"120001\": 0, \"120002\": 1}}'),(508,120001,'{\"maps\": {}, \"mapStates\": {\"120001\": 1}}'),(509,120001,'{\"maps\": {}, \"mapStates\": {\"120001\": 1}}'),(511,120001,'{\"maps\": {}, \"mapStates\": {\"120001\": 1}}'),(512,120001,'{\"maps\": {}, \"mapStates\": {\"120001\": 1}}'),(513,120001,'{\"maps\": {\"120001\": 3}, \"mapStates\": {\"120001\": 20}}'),(514,120001,'{\"maps\": {}, \"mapStates\": {}}'),(515,120001,'{\"maps\": {\"120001\": 34}, \"mapStates\": {\"120001\": 1}}'),(516,120001,'{\"maps\": {\"120001\": 13, \"120002\": 2}, \"mapStates\": {\"120001\": 0, \"120002\": 2}}'),(517,120001,'{\"maps\": {\"120001\": 2}, \"mapStates\": {\"120001\": 1}}'),(518,120001,'{\"maps\": {}, \"mapStates\": {}}'),(519,120001,'{\"maps\": {}, \"mapStates\": {\"120001\": 27}}'),(520,120001,'{\"maps\": {}, \"mapStates\": {\"120001\": 1}}'),(521,120001,'{\"maps\": {}, \"mapStates\": {}}'),(522,120001,'{\"maps\": {}, \"mapStates\": {\"120001\": 2}}'),(523,120001,'{\"maps\": {}, \"mapStates\": {}}'),(524,120001,'{\"maps\": {}, \"mapStates\": {}}'),(525,120002,'{\"maps\": {}, \"mapStates\": {\"120001\": 5, \"120002\": 1}}'),(526,120001,'{\"maps\": {}, \"mapStates\": {}}');
/*!40000 ALTER TABLE `mode_on_hook` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pet_equip`
--

DROP TABLE IF EXISTS `pet_equip`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `pet_equip` (
  `equip_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '装备唯一Id',
  `equip_cfg_id` bigint(20) NOT NULL COMMENT '装备配置表Id',
  `equip_player_id` bigint(20) NOT NULL COMMENT '装备的所属玩家Id',
  `equip_level` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '装备等级',
  `equip_pet_id` bigint(20) DEFAULT NULL COMMENT '当前装备穿戴的宠物Id',
  `equip_position` bigint(20) NOT NULL COMMENT '装备部位',
  `equip_base_attributes` json DEFAULT NULL COMMENT '装备基础属性',
  `equip_high_attributes` json DEFAULT NULL COMMENT '装备高级属性',
  PRIMARY KEY (`equip_id`),
  KEY `equip_player_id` (`equip_player_id`)
) ENGINE=InnoDB AUTO_INCREMENT=744 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pet_equip`
--

LOCK TABLES `pet_equip` WRITE;
/*!40000 ALTER TABLE `pet_equip` DISABLE KEYS */;
INSERT INTO `pet_equip` VALUES (584,100101005,511,1,2425,1,'[{\"id\": 110001, \"value\": 2}, {\"id\": 110002, \"value\": 4}, {\"id\": 110003, \"value\": 4}]','[{\"id\": 110001, \"value\": 4}, {\"id\": 110001, \"value\": 3}]'),(585,100801002,0,2,2425,8,'[{\"id\": 110001, \"value\": 4}, {\"id\": 110002, \"value\": 4}, {\"id\": 110003, \"value\": 3}]','[]'),(586,100801002,511,3,2425,8,'[{\"id\": 110001, \"value\": 1}, {\"id\": 110002, \"value\": 1}, {\"id\": 110003, \"value\": 4}]','[{\"id\": 110001, \"value\": 4}, {\"id\": 110001, \"value\": 3}, {\"id\": 110001, \"value\": 1}]'),(587,100701001,511,4,2425,7,'[{\"id\": 110001, \"value\": 3}, {\"id\": 110002, \"value\": 1}, {\"id\": 110003, \"value\": 2}]','[{\"id\": 110001, \"value\": 2}, {\"id\": 110001, \"value\": 5}]'),(588,101001004,512,1,2429,10,'[{\"id\": 110001, \"value\": 3}, {\"id\": 110002, \"value\": 3}, {\"id\": 110003, \"value\": 3}]','[{\"id\": 110001, \"value\": 1}, {\"id\": 110001, \"value\": 2}]'),(589,100401001,512,2,2429,4,'[{\"id\": 110001, \"value\": 4}, {\"id\": 110002, \"value\": 4}, {\"id\": 110003, \"value\": 3}]','[{\"id\": 110001, \"value\": 2}]'),(590,100101003,507,1,2411,1,'[{\"id\": 110001, \"value\": 3}, {\"id\": 110002, \"value\": 2}, {\"id\": 110003, \"value\": 1}]','[{\"id\": 110001, \"value\": 4}, {\"id\": 110001, \"value\": 4}, {\"id\": 110001, \"value\": 1}]'),(591,100401004,0,2,2411,4,'[{\"id\": 110001, \"value\": 3}, {\"id\": 110002, \"value\": 3}, {\"id\": 110003, \"value\": 2}]','[]'),(592,100301001,507,3,2411,3,'[{\"id\": 110001, \"value\": 3}, {\"id\": 110002, \"value\": 1}, {\"id\": 110003, \"value\": 4}]','[{\"id\": 110001, \"value\": 2}, {\"id\": 110001, \"value\": 5}]'),(593,100401002,507,4,2411,4,'[{\"id\": 110001, \"value\": 4}, {\"id\": 110002, \"value\": 3}, {\"id\": 110003, \"value\": 4}]','[]'),(594,100501002,0,5,2411,5,'[{\"id\": 110001, \"value\": 3}, {\"id\": 110002, \"value\": 3}, {\"id\": 110003, \"value\": 1}]','[{\"id\": 110001, \"value\": 3}]'),(595,100801005,0,6,2411,8,'[{\"id\": 110001, \"value\": 4}, {\"id\": 110002, \"value\": 3}, {\"id\": 110003, \"value\": 1}]','[{\"id\": 110001, \"value\": 4}, {\"id\": 110001, \"value\": 1}]'),(596,100801005,0,7,2411,8,'[{\"id\": 110001, \"value\": 2}, {\"id\": 110002, \"value\": 3}, {\"id\": 110003, \"value\": 3}]','[{\"id\": 110001, \"value\": 5}]'),(597,100501002,507,8,2411,5,'[{\"id\": 110001, \"value\": 1}, {\"id\": 110002, \"value\": 3}, {\"id\": 110003, \"value\": 3}]','[]'),(598,100401004,507,9,NULL,4,'[{\"id\": 110001, \"value\": 4}, {\"id\": 110002, \"value\": 4}, {\"id\": 110003, \"value\": 4}]','[{\"id\": 110001, \"value\": 5}, {\"id\": 110001, \"value\": 2}, {\"id\": 110001, \"value\": 1}]'),(599,100601002,507,10,2411,6,'[{\"id\": 110001, \"value\": 3}, {\"id\": 110002, \"value\": 4}, {\"id\": 110003, \"value\": 1}]','[{\"id\": 110001, \"value\": 5}, {\"id\": 110001, \"value\": 5}, {\"id\": 110001, \"value\": 1}]'),(600,100801001,507,11,2411,8,'[{\"id\": 110001, \"value\": 3}, {\"id\": 110002, \"value\": 1}, {\"id\": 110003, \"value\": 1}]','[{\"id\": 110001, \"value\": 5}, {\"id\": 110001, \"value\": 2}, {\"id\": 110001, \"value\": 2}]'),(601,100601002,0,1,2418,6,'[{\"id\": 110001, \"value\": 3}, {\"id\": 110002, \"value\": 4}, {\"id\": 110003, \"value\": 1}]','[{\"id\": 110001, \"value\": 3}, {\"id\": 110001, \"value\": 4}]'),(602,100401003,0,2,2418,4,'[{\"id\": 110001, \"value\": 3}, {\"id\": 110002, \"value\": 3}, {\"id\": 110003, \"value\": 4}]','[{\"id\": 110001, \"value\": 1}]'),(603,100601004,0,3,2418,6,'[{\"id\": 110001, \"value\": 4}, {\"id\": 110002, \"value\": 4}, {\"id\": 110003, \"value\": 4}]','[{\"id\": 110001, \"value\": 3}]'),(604,100401002,0,4,2418,4,'[{\"id\": 110001, \"value\": 1}, {\"id\": 110002, \"value\": 2}, {\"id\": 110003, \"value\": 2}]','[{\"id\": 110001, \"value\": 1}, {\"id\": 110001, \"value\": 1}]'),(605,100801002,0,5,2418,8,'[{\"id\": 110001, \"value\": 3}, {\"id\": 110002, \"value\": 1}, {\"id\": 110003, \"value\": 2}]','[{\"id\": 110001, \"value\": 4}, {\"id\": 110001, \"value\": 4}, {\"id\": 110001, \"value\": 2}]'),(606,100301002,0,6,2418,3,'[{\"id\": 110001, \"value\": 1}, {\"id\": 110002, \"value\": 2}, {\"id\": 110003, \"value\": 2}]','[{\"id\": 110001, \"value\": 3}, {\"id\": 110001, \"value\": 2}, {\"id\": 110001, \"value\": 4}]'),(607,100201004,0,7,2418,2,'[{\"id\": 110001, \"value\": 1}, {\"id\": 110002, \"value\": 2}, {\"id\": 110003, \"value\": 1}]','[{\"id\": 110001, \"value\": 3}]'),(608,100801001,507,8,2418,8,'[{\"id\": 110001, \"value\": 4}, {\"id\": 110002, \"value\": 4}, {\"id\": 110003, \"value\": 2}]','[{\"id\": 110001, \"value\": 5}]'),(609,100201003,0,9,2418,2,'[{\"id\": 110001, \"value\": 4}, {\"id\": 110002, \"value\": 1}, {\"id\": 110003, \"value\": 3}]','[{\"id\": 110001, \"value\": 1}, {\"id\": 110001, \"value\": 4}, {\"id\": 110001, \"value\": 3}]'),(610,100601004,507,10,2418,6,'[{\"id\": 110001, \"value\": 1}, {\"id\": 110002, \"value\": 3}, {\"id\": 110003, \"value\": 4}]','[{\"id\": 110001, \"value\": 4}, {\"id\": 110001, \"value\": 2}]'),(611,100401004,0,11,2418,4,'[{\"id\": 110001, \"value\": 1}, {\"id\": 110002, \"value\": 3}, {\"id\": 110003, \"value\": 4}]','[]'),(612,100401002,513,1,2434,4,'[{\"id\": 110001, \"value\": 4}, {\"id\": 110002, \"value\": 1}, {\"id\": 110003, \"value\": 2}]','[{\"id\": 110001, \"value\": 4}, {\"id\": 110001, \"value\": 5}, {\"id\": 110001, \"value\": 5}]'),(613,100201005,513,2,2434,2,'[{\"id\": 110001, \"value\": 3}, {\"id\": 110002, \"value\": 4}, {\"id\": 110003, \"value\": 2}]','[{\"id\": 110001, \"value\": 5}, {\"id\": 110001, \"value\": 1}, {\"id\": 110001, \"value\": 4}]'),(614,101001003,0,3,2434,10,'[{\"id\": 110001, \"value\": 3}, {\"id\": 110002, \"value\": 4}, {\"id\": 110003, \"value\": 2}]','[{\"id\": 110001, \"value\": 4}, {\"id\": 110001, \"value\": 2}]'),(615,101001001,513,4,2434,10,'[{\"id\": 110001, \"value\": 1}, {\"id\": 110002, \"value\": 2}, {\"id\": 110003, \"value\": 1}]','[{\"id\": 110001, \"value\": 2}, {\"id\": 110001, \"value\": 2}]'),(616,100501004,513,5,2434,5,'[{\"id\": 110001, \"value\": 2}, {\"id\": 110002, \"value\": 2}, {\"id\": 110003, \"value\": 3}]','[{\"id\": 110001, \"value\": 2}]'),(617,100701001,513,6,2434,7,'[{\"id\": 110001, \"value\": 1}, {\"id\": 110002, \"value\": 4}, {\"id\": 110003, \"value\": 4}]','[{\"id\": 110001, \"value\": 4}, {\"id\": 110001, \"value\": 2}]'),(618,100101001,513,7,2434,1,'[{\"id\": 110001, \"value\": 3}, {\"id\": 110002, \"value\": 4}, {\"id\": 110003, \"value\": 3}]','[]'),(619,100601001,513,8,2434,6,'[{\"id\": 110001, \"value\": 3}, {\"id\": 110002, \"value\": 4}, {\"id\": 110003, \"value\": 3}]','[{\"id\": 110001, \"value\": 5}, {\"id\": 110001, \"value\": 5}]'),(620,100301004,0,12,2418,3,'[{\"id\": 110001, \"value\": 3}, {\"id\": 110002, \"value\": 2}, {\"id\": 110003, \"value\": 3}]','[{\"id\": 110001, \"value\": 1}]'),(621,101001003,0,1,2436,10,'[{\"id\": 110001, \"value\": 2}, {\"id\": 110002, \"value\": 4}, {\"id\": 110003, \"value\": 3}]','[{\"id\": 110001, \"value\": 3}]'),(622,100901002,0,2,2436,9,'[{\"id\": 110001, \"value\": 2}, {\"id\": 110002, \"value\": 2}, {\"id\": 110003, \"value\": 3}]','[{\"id\": 110001, \"value\": 3}, {\"id\": 110001, \"value\": 3}]'),(623,100901001,0,3,2436,9,'[{\"id\": 110001, \"value\": 4}, {\"id\": 110002, \"value\": 4}, {\"id\": 110003, \"value\": 2}]','[{\"id\": 110001, \"value\": 5}, {\"id\": 110001, \"value\": 1}, {\"id\": 110001, \"value\": 4}]'),(624,101001005,0,4,2436,10,'[{\"id\": 110001, \"value\": 3}, {\"id\": 110002, \"value\": 4}, {\"id\": 110003, \"value\": 4}]','[{\"id\": 110001, \"value\": 4}, {\"id\": 110001, \"value\": 3}]'),(625,100501001,0,5,2436,5,'[{\"id\": 110001, \"value\": 1}, {\"id\": 110002, \"value\": 3}, {\"id\": 110003, \"value\": 4}]','[{\"id\": 110001, \"value\": 1}, {\"id\": 110001, \"value\": 5}, {\"id\": 110001, \"value\": 4}]'),(626,101001001,515,6,2436,10,'[{\"id\": 110001, \"value\": 3}, {\"id\": 110002, \"value\": 4}, {\"id\": 110003, \"value\": 1}]','[{\"id\": 110001, \"value\": 5}, {\"id\": 110001, \"value\": 4}, {\"id\": 110001, \"value\": 5}]'),(627,100901002,0,7,2436,9,'[{\"id\": 110001, \"value\": 1}, {\"id\": 110002, \"value\": 3}, {\"id\": 110003, \"value\": 2}]','[{\"id\": 110001, \"value\": 1}, {\"id\": 110001, \"value\": 5}, {\"id\": 110001, \"value\": 2}]'),(628,100601001,0,8,2436,6,'[{\"id\": 110001, \"value\": 3}, {\"id\": 110002, \"value\": 4}, {\"id\": 110003, \"value\": 3}]','[{\"id\": 110001, \"value\": 3}, {\"id\": 110001, \"value\": 2}]'),(629,100101002,0,9,2436,1,'[{\"id\": 110001, \"value\": 1}, {\"id\": 110002, \"value\": 3}, {\"id\": 110003, \"value\": 1}]','[{\"id\": 110001, \"value\": 2}, {\"id\": 110001, \"value\": 1}]'),(630,100301005,0,10,2436,3,'[{\"id\": 110001, \"value\": 3}, {\"id\": 110002, \"value\": 4}, {\"id\": 110003, \"value\": 2}]','[]'),(631,100401001,0,11,2436,4,'[{\"id\": 110001, \"value\": 4}, {\"id\": 110002, \"value\": 2}, {\"id\": 110003, \"value\": 2}]','[{\"id\": 110001, \"value\": 5}]'),(632,100101003,0,12,2436,1,'[{\"id\": 110001, \"value\": 3}, {\"id\": 110002, \"value\": 2}, {\"id\": 110003, \"value\": 1}]','[]'),(633,100401001,515,13,2436,4,'[{\"id\": 110001, \"value\": 2}, {\"id\": 110002, \"value\": 1}, {\"id\": 110003, \"value\": 2}]','[{\"id\": 110001, \"value\": 2}, {\"id\": 110001, \"value\": 5}]'),(634,100801002,0,14,2436,8,'[{\"id\": 110001, \"value\": 2}, {\"id\": 110002, \"value\": 3}, {\"id\": 110003, \"value\": 1}]','[{\"id\": 110001, \"value\": 5}]'),(635,100101002,0,15,2436,1,'[{\"id\": 110001, \"value\": 4}, {\"id\": 110002, \"value\": 2}, {\"id\": 110003, \"value\": 3}]','[{\"id\": 110001, \"value\": 5}, {\"id\": 110001, \"value\": 2}]'),(636,100101003,0,16,2436,1,'[{\"id\": 110001, \"value\": 2}, {\"id\": 110002, \"value\": 4}, {\"id\": 110003, \"value\": 4}]','[{\"id\": 110001, \"value\": 2}, {\"id\": 110001, \"value\": 3}]'),(637,100701002,0,17,2436,7,'[{\"id\": 110001, \"value\": 1}, {\"id\": 110002, \"value\": 2}, {\"id\": 110003, \"value\": 1}]','[{\"id\": 110001, \"value\": 4}, {\"id\": 110001, \"value\": 1}, {\"id\": 110001, \"value\": 4}]'),(638,100601003,515,18,2436,6,'[{\"id\": 110001, \"value\": 4}, {\"id\": 110002, \"value\": 4}, {\"id\": 110003, \"value\": 4}]','[]'),(639,100101001,0,19,2436,1,'[{\"id\": 110001, \"value\": 3}, {\"id\": 110002, \"value\": 4}, {\"id\": 110003, \"value\": 1}]','[{\"id\": 110001, \"value\": 4}, {\"id\": 110001, \"value\": 3}, {\"id\": 110001, \"value\": 4}]'),(640,100701001,0,20,2436,7,'[{\"id\": 110001, \"value\": 2}, {\"id\": 110002, \"value\": 4}, {\"id\": 110003, \"value\": 3}]','[{\"id\": 110001, \"value\": 3}]'),(641,100801005,515,21,2436,8,'[{\"id\": 110001, \"value\": 4}, {\"id\": 110002, \"value\": 1}, {\"id\": 110003, \"value\": 4}]','[{\"id\": 110001, \"value\": 1}, {\"id\": 110001, \"value\": 4}]'),(642,100301003,515,22,2436,3,'[{\"id\": 110001, \"value\": 3}, {\"id\": 110002, \"value\": 3}, {\"id\": 110003, \"value\": 2}]','[]'),(643,100101001,515,23,2436,1,'[{\"id\": 110001, \"value\": 4}, {\"id\": 110002, \"value\": 1}, {\"id\": 110003, \"value\": 1}]','[{\"id\": 110001, \"value\": 1}, {\"id\": 110001, \"value\": 3}, {\"id\": 110001, \"value\": 5}]'),(644,100701001,515,24,2436,7,'[{\"id\": 110001, \"value\": 4}, {\"id\": 110002, \"value\": 4}, {\"id\": 110003, \"value\": 2}]','[{\"id\": 110001, \"value\": 2}, {\"id\": 110001, \"value\": 3}]'),(645,100501001,515,25,2436,5,'[{\"id\": 110001, \"value\": 3}, {\"id\": 110002, \"value\": 3}, {\"id\": 110003, \"value\": 1}]','[{\"id\": 110001, \"value\": 2}, {\"id\": 110001, \"value\": 1}, {\"id\": 110001, \"value\": 5}]'),(646,100901001,515,26,2436,9,'[{\"id\": 110001, \"value\": 3}, {\"id\": 110002, \"value\": 4}, {\"id\": 110003, \"value\": 2}]','[{\"id\": 110001, \"value\": 4}, {\"id\": 110001, \"value\": 3}, {\"id\": 110001, \"value\": 3}]'),(647,100301002,0,1,2439,3,'[{\"id\": 110001, \"value\": 2}, {\"id\": 110002, \"value\": 3}, {\"id\": 110003, \"value\": 2}]','[]'),(648,100901001,0,2,2439,9,'[{\"id\": 110001, \"value\": 2}, {\"id\": 110002, \"value\": 1}, {\"id\": 110003, \"value\": 2}]','[]'),(649,100701002,0,3,2439,7,'[{\"id\": 110001, \"value\": 2}, {\"id\": 110002, \"value\": 4}, {\"id\": 110003, \"value\": 2}]','[{\"id\": 110001, \"value\": 2}, {\"id\": 110001, \"value\": 4}, {\"id\": 110001, \"value\": 1}]'),(650,100801002,0,4,2439,8,'[{\"id\": 110001, \"value\": 1}, {\"id\": 110002, \"value\": 3}, {\"id\": 110003, \"value\": 1}]','[]'),(651,100502003,0,5,2439,5,'[{\"id\": 110001, \"value\": 1}, {\"id\": 110002, \"value\": 3}, {\"id\": 110003, \"value\": 4}]','[{\"id\": 110001, \"value\": 3}, {\"id\": 110001, \"value\": 1}, {\"id\": 110001, \"value\": 2}]'),(652,100201002,0,6,2439,2,'[{\"id\": 110001, \"value\": 2}, {\"id\": 110002, \"value\": 2}, {\"id\": 110003, \"value\": 2}]','[{\"id\": 110001, \"value\": 1}]'),(653,100901002,0,7,2439,9,'[{\"id\": 110001, \"value\": 2}, {\"id\": 110002, \"value\": 3}, {\"id\": 110003, \"value\": 4}]','[]'),(654,100901003,0,8,2439,9,'[{\"id\": 110001, \"value\": 4}, {\"id\": 110002, \"value\": 1}, {\"id\": 110003, \"value\": 3}]','[{\"id\": 110001, \"value\": 5}, {\"id\": 110001, \"value\": 5}]'),(655,100601005,0,9,2439,6,'[{\"id\": 110001, \"value\": 4}, {\"id\": 110002, \"value\": 2}, {\"id\": 110003, \"value\": 2}]','[{\"id\": 110001, \"value\": 1}, {\"id\": 110001, \"value\": 4}]'),(656,100901003,0,10,2439,9,'[{\"id\": 110001, \"value\": 3}, {\"id\": 110002, \"value\": 4}, {\"id\": 110003, \"value\": 1}]','[{\"id\": 110001, \"value\": 5}]'),(657,100301001,0,11,2439,3,'[{\"id\": 110001, \"value\": 2}, {\"id\": 110002, \"value\": 2}, {\"id\": 110003, \"value\": 4}]','[]'),(658,100201001,0,12,2439,2,'[{\"id\": 110001, \"value\": 1}, {\"id\": 110002, \"value\": 3}, {\"id\": 110003, \"value\": 2}]','[{\"id\": 110001, \"value\": 2}]'),(659,100801005,515,13,2439,8,'[{\"id\": 110001, \"value\": 2}, {\"id\": 110002, \"value\": 2}, {\"id\": 110003, \"value\": 1}]','[{\"id\": 110001, \"value\": 3}, {\"id\": 110001, \"value\": 1}]'),(660,101001003,515,14,NULL,10,'[{\"id\": 110001, \"value\": 1}, {\"id\": 110002, \"value\": 3}, {\"id\": 110003, \"value\": 4}]','[]'),(661,100701002,0,15,2439,7,'[{\"id\": 110001, \"value\": 1}, {\"id\": 110002, \"value\": 2}, {\"id\": 110003, \"value\": 3}]','[{\"id\": 110001, \"value\": 1}, {\"id\": 110001, \"value\": 3}, {\"id\": 110001, \"value\": 5}]'),(662,100701002,515,16,NULL,7,'[{\"id\": 110001, \"value\": 4}, {\"id\": 110002, \"value\": 2}, {\"id\": 110003, \"value\": 3}]','[]'),(663,100701001,515,17,NULL,7,'[{\"id\": 110001, \"value\": 4}, {\"id\": 110002, \"value\": 1}, {\"id\": 110003, \"value\": 3}]','[{\"id\": 110001, \"value\": 4}]'),(664,100101003,0,18,2439,1,'[{\"id\": 110001, \"value\": 1}, {\"id\": 110002, \"value\": 2}, {\"id\": 110003, \"value\": 4}]','[{\"id\": 110001, \"value\": 1}, {\"id\": 110001, \"value\": 5}, {\"id\": 110001, \"value\": 5}]'),(665,100501001,515,19,2439,5,'[{\"id\": 110001, \"value\": 3}, {\"id\": 110002, \"value\": 3}, {\"id\": 110003, \"value\": 1}]','[{\"id\": 110001, \"value\": 2}]'),(666,100901001,515,20,2439,9,'[{\"id\": 110001, \"value\": 3}, {\"id\": 110002, \"value\": 2}, {\"id\": 110003, \"value\": 3}]','[{\"id\": 110001, \"value\": 2}]'),(667,100201003,0,21,2439,2,'[{\"id\": 110001, \"value\": 2}, {\"id\": 110002, \"value\": 2}, {\"id\": 110003, \"value\": 4}]','[{\"id\": 110001, \"value\": 5}, {\"id\": 110001, \"value\": 1}, {\"id\": 110001, \"value\": 5}]'),(668,100301003,0,22,2439,3,'[{\"id\": 110001, \"value\": 2}, {\"id\": 110002, \"value\": 4}, {\"id\": 110003, \"value\": 1}]','[]'),(669,100102003,0,23,2439,1,'[{\"id\": 110001, \"value\": 1}, {\"id\": 110002, \"value\": 4}, {\"id\": 110003, \"value\": 2}]','[{\"id\": 110001, \"value\": 5}, {\"id\": 110001, \"value\": 3}]'),(670,100301003,515,24,2439,3,'[{\"id\": 110001, \"value\": 2}, {\"id\": 110002, \"value\": 1}, {\"id\": 110003, \"value\": 4}]','[{\"id\": 110001, \"value\": 5}, {\"id\": 110001, \"value\": 2}]'),(671,100201005,0,25,2439,2,'[{\"id\": 110001, \"value\": 2}, {\"id\": 110002, \"value\": 2}, {\"id\": 110003, \"value\": 4}]','[]'),(672,100702001,0,26,2439,7,'[{\"id\": 110001, \"value\": 4}, {\"id\": 110002, \"value\": 2}, {\"id\": 110003, \"value\": 1}]','[{\"id\": 110001, \"value\": 2}, {\"id\": 110001, \"value\": 3}]'),(673,100102001,0,27,2439,1,'[{\"id\": 110001, \"value\": 1}, {\"id\": 110002, \"value\": 3}, {\"id\": 110003, \"value\": 3}]','[]'),(674,100101001,0,28,2439,1,'[{\"id\": 110001, \"value\": 3}, {\"id\": 110002, \"value\": 2}, {\"id\": 110003, \"value\": 1}]','[]'),(675,100701001,0,29,2439,7,'[{\"id\": 110001, \"value\": 3}, {\"id\": 110002, \"value\": 1}, {\"id\": 110003, \"value\": 1}]','[{\"id\": 110001, \"value\": 2}, {\"id\": 110001, \"value\": 1}, {\"id\": 110001, \"value\": 5}]'),(676,100701002,0,30,2439,7,'[{\"id\": 110001, \"value\": 4}, {\"id\": 110002, \"value\": 4}, {\"id\": 110003, \"value\": 1}]','[{\"id\": 110001, \"value\": 5}, {\"id\": 110001, \"value\": 1}, {\"id\": 110001, \"value\": 4}]'),(677,100601004,515,31,2439,6,'[{\"id\": 110001, \"value\": 3}, {\"id\": 110002, \"value\": 2}, {\"id\": 110003, \"value\": 4}]','[{\"id\": 110001, \"value\": 4}]'),(678,101002004,515,32,2439,10,'[{\"id\": 110001, \"value\": 2}, {\"id\": 110002, \"value\": 1}, {\"id\": 110003, \"value\": 4}]','[{\"id\": 110001, \"value\": 3}, {\"id\": 110001, \"value\": 3}, {\"id\": 110001, \"value\": 2}]'),(679,100701002,515,33,2439,7,'[{\"id\": 110001, \"value\": 2}, {\"id\": 110002, \"value\": 3}, {\"id\": 110003, \"value\": 3}]','[{\"id\": 110001, \"value\": 4}]'),(680,100201005,0,34,2439,2,'[{\"id\": 110001, \"value\": 1}, {\"id\": 110002, \"value\": 1}, {\"id\": 110003, \"value\": 4}]','[{\"id\": 110001, \"value\": 4}, {\"id\": 110001, \"value\": 3}]'),(681,100201001,515,35,2439,2,'[{\"id\": 110001, \"value\": 1}, {\"id\": 110002, \"value\": 2}, {\"id\": 110003, \"value\": 2}]','[{\"id\": 110001, \"value\": 1}, {\"id\": 110001, \"value\": 4}, {\"id\": 110001, \"value\": 2}]'),(682,100401005,515,36,NULL,4,'[{\"id\": 110001, \"value\": 2}, {\"id\": 110002, \"value\": 4}, {\"id\": 110003, \"value\": 4}]','[{\"id\": 110001, \"value\": 4}, {\"id\": 110001, \"value\": 4}]'),(683,100301002,0,13,2418,3,'[{\"id\": 110001, \"value\": 4}, {\"id\": 110002, \"value\": 3}, {\"id\": 110003, \"value\": 3}]','[{\"id\": 110001, \"value\": 1}, {\"id\": 110001, \"value\": 1}, {\"id\": 110001, \"value\": 4}]'),(684,100501005,507,14,NULL,5,'[{\"id\": 110001, \"value\": 4}, {\"id\": 110002, \"value\": 2}, {\"id\": 110003, \"value\": 4}]','[]'),(685,100501002,507,15,NULL,5,'[{\"id\": 110001, \"value\": 3}, {\"id\": 110002, \"value\": 3}, {\"id\": 110003, \"value\": 3}]','[]'),(686,100401004,0,16,2418,4,'[{\"id\": 110001, \"value\": 3}, {\"id\": 110002, \"value\": 2}, {\"id\": 110003, \"value\": 2}]','[{\"id\": 110001, \"value\": 1}, {\"id\": 110001, \"value\": 3}, {\"id\": 110001, \"value\": 2}]'),(687,100401002,0,17,2418,4,'[{\"id\": 110001, \"value\": 1}, {\"id\": 110002, \"value\": 4}, {\"id\": 110003, \"value\": 4}]','[{\"id\": 110001, \"value\": 5}, {\"id\": 110001, \"value\": 4}, {\"id\": 110001, \"value\": 4}]'),(688,100401004,507,18,2418,4,'[{\"id\": 110001, \"value\": 3}, {\"id\": 110002, \"value\": 3}, {\"id\": 110003, \"value\": 3}]','[{\"id\": 110001, \"value\": 3}, {\"id\": 110001, \"value\": 5}, {\"id\": 110001, \"value\": 4}]'),(689,100301004,507,19,2418,3,'[{\"id\": 110001, \"value\": 3}, {\"id\": 110002, \"value\": 2}, {\"id\": 110003, \"value\": 2}]','[{\"id\": 110001, \"value\": 1}, {\"id\": 110001, \"value\": 4}]'),(690,100201004,0,20,2418,2,'[{\"id\": 110001, \"value\": 1}, {\"id\": 110002, \"value\": 4}, {\"id\": 110003, \"value\": 1}]','[{\"id\": 110001, \"value\": 4}, {\"id\": 110001, \"value\": 4}]'),(691,100201001,507,21,2418,2,'[{\"id\": 110001, \"value\": 4}, {\"id\": 110002, \"value\": 4}, {\"id\": 110003, \"value\": 4}]','[{\"id\": 110001, \"value\": 3}, {\"id\": 110001, \"value\": 5}]'),(692,101001005,507,22,2418,10,'[{\"id\": 110001, \"value\": 2}, {\"id\": 110002, \"value\": 3}, {\"id\": 110003, \"value\": 1}]','[{\"id\": 110001, \"value\": 5}, {\"id\": 110001, \"value\": 3}, {\"id\": 110001, \"value\": 2}]'),(693,100101005,507,23,2418,1,'[{\"id\": 110001, \"value\": 3}, {\"id\": 110002, \"value\": 4}, {\"id\": 110003, \"value\": 4}]','[{\"id\": 110001, \"value\": 4}]'),(694,100801005,507,24,NULL,8,'[{\"id\": 110001, \"value\": 3}, {\"id\": 110002, \"value\": 4}, {\"id\": 110003, \"value\": 1}]','[{\"id\": 110001, \"value\": 2}]'),(695,100201002,0,1,2443,2,'[{\"id\": 110001, \"value\": 3}, {\"id\": 110002, \"value\": 4}, {\"id\": 110003, \"value\": 4}]','[]'),(696,100901001,0,2,2441,9,'[{\"id\": 110001, \"value\": 1}, {\"id\": 110002, \"value\": 2}, {\"id\": 110003, \"value\": 1}]','[]'),(697,100401001,0,3,2441,4,'[{\"id\": 110001, \"value\": 4}, {\"id\": 110002, \"value\": 3}, {\"id\": 110003, \"value\": 2}]','[{\"id\": 110001, \"value\": 3}, {\"id\": 110001, \"value\": 4}, {\"id\": 110001, \"value\": 5}]'),(698,100301005,0,4,2441,3,'[{\"id\": 110001, \"value\": 3}, {\"id\": 110002, \"value\": 2}, {\"id\": 110003, \"value\": 2}]','[{\"id\": 110001, \"value\": 1}, {\"id\": 110001, \"value\": 5}]'),(699,100301005,0,5,2441,3,'[{\"id\": 110001, \"value\": 3}, {\"id\": 110002, \"value\": 3}, {\"id\": 110003, \"value\": 1}]','[{\"id\": 110001, \"value\": 3}, {\"id\": 110001, \"value\": 5}]'),(700,100201003,516,6,2441,2,'[{\"id\": 110001, \"value\": 4}, {\"id\": 110002, \"value\": 2}, {\"id\": 110003, \"value\": 2}]','[{\"id\": 110001, \"value\": 4}, {\"id\": 110001, \"value\": 2}, {\"id\": 110001, \"value\": 1}]'),(701,100601004,0,7,2441,6,'[{\"id\": 110001, \"value\": 3}, {\"id\": 110002, \"value\": 2}, {\"id\": 110003, \"value\": 4}]','[{\"id\": 110001, \"value\": 1}]'),(702,100901002,0,8,2441,9,'[{\"id\": 110001, \"value\": 4}, {\"id\": 110002, \"value\": 2}, {\"id\": 110003, \"value\": 3}]','[{\"id\": 110001, \"value\": 1}, {\"id\": 110001, \"value\": 5}]'),(703,100501003,516,9,2441,5,'[{\"id\": 110001, \"value\": 1}, {\"id\": 110002, \"value\": 2}, {\"id\": 110003, \"value\": 2}]','[{\"id\": 110001, \"value\": 2}, {\"id\": 110001, \"value\": 3}]'),(704,100301005,0,10,2441,3,'[{\"id\": 110001, \"value\": 3}, {\"id\": 110002, \"value\": 2}, {\"id\": 110003, \"value\": 2}]','[{\"id\": 110001, \"value\": 1}]'),(705,100601004,0,11,2441,6,'[{\"id\": 110001, \"value\": 4}, {\"id\": 110002, \"value\": 3}, {\"id\": 110003, \"value\": 2}]','[]'),(706,100401001,516,12,2441,4,'[{\"id\": 110001, \"value\": 2}, {\"id\": 110002, \"value\": 1}, {\"id\": 110003, \"value\": 2}]','[{\"id\": 110001, \"value\": 1}, {\"id\": 110001, \"value\": 5}, {\"id\": 110001, \"value\": 5}]'),(707,100601004,0,13,2441,6,'[{\"id\": 110001, \"value\": 4}, {\"id\": 110002, \"value\": 3}, {\"id\": 110003, \"value\": 3}]','[{\"id\": 110001, \"value\": 1}]'),(708,100601004,0,14,2441,6,'[{\"id\": 110001, \"value\": 4}, {\"id\": 110002, \"value\": 2}, {\"id\": 110003, \"value\": 4}]','[{\"id\": 110001, \"value\": 5}]'),(709,100601005,516,15,2441,6,'[{\"id\": 110001, \"value\": 3}, {\"id\": 110002, \"value\": 1}, {\"id\": 110003, \"value\": 2}]','[{\"id\": 110001, \"value\": 1}, {\"id\": 110001, \"value\": 4}]'),(710,100301005,0,16,2441,3,'[{\"id\": 110001, \"value\": 4}, {\"id\": 110002, \"value\": 3}, {\"id\": 110003, \"value\": 2}]','[]'),(711,100801002,516,17,2441,8,'[{\"id\": 110001, \"value\": 4}, {\"id\": 110002, \"value\": 3}, {\"id\": 110003, \"value\": 1}]','[{\"id\": 110001, \"value\": 2}]'),(712,101001002,516,18,2441,10,'[{\"id\": 110001, \"value\": 1}, {\"id\": 110002, \"value\": 2}, {\"id\": 110003, \"value\": 3}]','[{\"id\": 110001, \"value\": 1}, {\"id\": 110001, \"value\": 4}]'),(713,100901003,516,19,2441,9,'[{\"id\": 110001, \"value\": 2}, {\"id\": 110002, \"value\": 2}, {\"id\": 110003, \"value\": 3}]','[{\"id\": 110001, \"value\": 1}, {\"id\": 110001, \"value\": 4}]'),(714,100301004,516,20,2441,3,'[{\"id\": 110001, \"value\": 3}, {\"id\": 110002, \"value\": 4}, {\"id\": 110003, \"value\": 2}]','[{\"id\": 110001, \"value\": 4}, {\"id\": 110001, \"value\": 3}, {\"id\": 110001, \"value\": 4}]'),(715,100301005,0,1,2443,3,'[{\"id\": 110001, \"value\": 4}, {\"id\": 110002, \"value\": 3}, {\"id\": 110003, \"value\": 2}]','[{\"id\": 110001, \"value\": 5}, {\"id\": 110001, \"value\": 5}, {\"id\": 110001, \"value\": 3}]'),(716,100401003,0,2,2443,4,'[{\"id\": 110001, \"value\": 2}, {\"id\": 110002, \"value\": 1}, {\"id\": 110003, \"value\": 4}]','[{\"id\": 110001, \"value\": 2}, {\"id\": 110001, \"value\": 3}, {\"id\": 110001, \"value\": 2}]'),(717,100901003,0,3,2443,9,'[{\"id\": 110001, \"value\": 4}, {\"id\": 110002, \"value\": 2}, {\"id\": 110003, \"value\": 3}]','[{\"id\": 110001, \"value\": 4}, {\"id\": 110001, \"value\": 1}, {\"id\": 110001, \"value\": 1}]'),(718,100101001,0,4,2443,1,'[{\"id\": 110001, \"value\": 3}, {\"id\": 110002, \"value\": 4}, {\"id\": 110003, \"value\": 1}]','[{\"id\": 110001, \"value\": 5}, {\"id\": 110001, \"value\": 4}, {\"id\": 110001, \"value\": 5}]'),(719,100901003,0,5,2443,9,'[{\"id\": 110001, \"value\": 3}, {\"id\": 110002, \"value\": 1}, {\"id\": 110003, \"value\": 3}]','[{\"id\": 110001, \"value\": 3}, {\"id\": 110001, \"value\": 3}]'),(720,100701002,0,6,2443,7,'[{\"id\": 110001, \"value\": 1}, {\"id\": 110002, \"value\": 4}, {\"id\": 110003, \"value\": 3}]','[{\"id\": 110001, \"value\": 5}]'),(721,100301005,0,7,2443,3,'[{\"id\": 110001, \"value\": 1}, {\"id\": 110002, \"value\": 1}, {\"id\": 110003, \"value\": 3}]','[{\"id\": 110001, \"value\": 3}]'),(722,100901003,0,8,2443,9,'[{\"id\": 110001, \"value\": 4}, {\"id\": 110002, \"value\": 2}, {\"id\": 110003, \"value\": 2}]','[]'),(723,101001001,0,9,2443,10,'[{\"id\": 110001, \"value\": 4}, {\"id\": 110002, \"value\": 4}, {\"id\": 110003, \"value\": 4}]','[{\"id\": 110001, \"value\": 1}, {\"id\": 110001, \"value\": 4}]'),(724,100701002,0,10,2443,7,'[{\"id\": 110001, \"value\": 3}, {\"id\": 110002, \"value\": 1}, {\"id\": 110003, \"value\": 2}]','[{\"id\": 110001, \"value\": 5}]'),(725,100301004,516,11,2443,3,'[{\"id\": 110001, \"value\": 3}, {\"id\": 110002, \"value\": 1}, {\"id\": 110003, \"value\": 4}]','[{\"id\": 110001, \"value\": 4}, {\"id\": 110001, \"value\": 5}]'),(726,101001005,0,12,2443,10,'[{\"id\": 110001, \"value\": 4}, {\"id\": 110002, \"value\": 2}, {\"id\": 110003, \"value\": 2}]','[{\"id\": 110001, \"value\": 4}]'),(727,100401004,516,13,2443,4,'[{\"id\": 110001, \"value\": 4}, {\"id\": 110002, \"value\": 1}, {\"id\": 110003, \"value\": 4}]','[{\"id\": 110001, \"value\": 4}, {\"id\": 110001, \"value\": 5}]'),(728,101001003,0,14,2443,10,'[{\"id\": 110001, \"value\": 1}, {\"id\": 110002, \"value\": 4}, {\"id\": 110003, \"value\": 3}]','[{\"id\": 110001, \"value\": 3}]'),(729,100701002,516,15,2443,7,'[{\"id\": 110001, \"value\": 3}, {\"id\": 110002, \"value\": 4}, {\"id\": 110003, \"value\": 1}]','[]'),(730,100601003,0,16,2443,6,'[{\"id\": 110001, \"value\": 1}, {\"id\": 110002, \"value\": 3}, {\"id\": 110003, \"value\": 1}]','[{\"id\": 110001, \"value\": 1}, {\"id\": 110001, \"value\": 1}]'),(731,100801004,0,17,2443,8,'[{\"id\": 110001, \"value\": 2}, {\"id\": 110002, \"value\": 4}, {\"id\": 110003, \"value\": 1}]','[]'),(732,100801001,516,18,2443,8,'[{\"id\": 110001, \"value\": 4}, {\"id\": 110002, \"value\": 4}, {\"id\": 110003, \"value\": 1}]','[{\"id\": 110001, \"value\": 2}, {\"id\": 110001, \"value\": 1}, {\"id\": 110001, \"value\": 1}]'),(733,100101002,516,19,NULL,1,'[{\"id\": 110001, \"value\": 2}, {\"id\": 110002, \"value\": 3}, {\"id\": 110003, \"value\": 4}]','[]'),(734,100101003,0,20,2443,1,'[{\"id\": 110001, \"value\": 3}, {\"id\": 110002, \"value\": 3}, {\"id\": 110003, \"value\": 1}]','[]'),(735,100101003,0,21,2443,1,'[{\"id\": 110001, \"value\": 4}, {\"id\": 110002, \"value\": 1}, {\"id\": 110003, \"value\": 4}]','[{\"id\": 110001, \"value\": 5}, {\"id\": 110001, \"value\": 5}, {\"id\": 110001, \"value\": 3}]'),(736,100601002,516,22,2443,6,'[{\"id\": 110001, \"value\": 3}, {\"id\": 110002, \"value\": 1}, {\"id\": 110003, \"value\": 4}]','[{\"id\": 110001, \"value\": 2}, {\"id\": 110001, \"value\": 3}, {\"id\": 110001, \"value\": 2}]'),(737,101001002,516,23,2443,10,'[{\"id\": 110001, \"value\": 2}, {\"id\": 110002, \"value\": 2}, {\"id\": 110003, \"value\": 4}]','[{\"id\": 110001, \"value\": 5}, {\"id\": 110001, \"value\": 3}, {\"id\": 110001, \"value\": 2}]'),(738,100101005,516,24,2443,1,'[{\"id\": 110001, \"value\": 4}, {\"id\": 110002, \"value\": 4}, {\"id\": 110003, \"value\": 2}]','[{\"id\": 110001, \"value\": 5}, {\"id\": 110001, \"value\": 5}, {\"id\": 110001, \"value\": 2}]'),(739,101001004,516,25,NULL,10,'[{\"id\": 110001, \"value\": 4}, {\"id\": 110002, \"value\": 4}, {\"id\": 110003, \"value\": 3}]','[{\"id\": 110001, \"value\": 5}]'),(740,100501004,516,26,NULL,5,'[{\"id\": 110001, \"value\": 1}, {\"id\": 110002, \"value\": 1}, {\"id\": 110003, \"value\": 1}]','[]'),(741,100901003,516,27,2443,9,'[{\"id\": 110001, \"value\": 3}, {\"id\": 110002, \"value\": 2}, {\"id\": 110003, \"value\": 1}]','[{\"id\": 110001, \"value\": 4}, {\"id\": 110001, \"value\": 3}, {\"id\": 110001, \"value\": 4}]'),(742,101001003,507,25,NULL,10,'[{\"id\": 110001, \"value\": 3}, {\"id\": 110002, \"value\": 4}, {\"id\": 110003, \"value\": 2}]','[]'),(743,100501005,507,26,NULL,5,'[{\"id\": 110001, \"value\": 3}, {\"id\": 110002, \"value\": 4}, {\"id\": 110003, \"value\": 4}]','[{\"id\": 110001, \"value\": 5}, {\"id\": 110001, \"value\": 2}, {\"id\": 110001, \"value\": 4}]');
/*!40000 ALTER TABLE `pet_equip` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `player`
--

DROP TABLE IF EXISTS `player`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `player` (
  `player_id` bigint(32) unsigned NOT NULL AUTO_INCREMENT COMMENT '服务器玩家Id',
  `user_id` bigint(32) NOT NULL COMMENT '玩家Id',
  `player_name` varchar(255) NOT NULL COMMENT '玩家名称',
  `player_create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '玩家创建时间',
  `is_novice` tinyint(1) NOT NULL DEFAULT '0' COMMENT '玩家是否过了新手引导',
  PRIMARY KEY (`player_id`),
  UNIQUE KEY `user_id` (`user_id`),
  UNIQUE KEY `player_id` (`player_id`)
) ENGINE=InnoDB AUTO_INCREMENT=527 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `player`
--

LOCK TABLES `player` WRITE;
/*!40000 ALTER TABLE `player` DISABLE KEYS */;
INSERT INTO `player` VALUES (506,100000,'3213123','2024-01-18 01:28:52',1),(507,100001,'3213213','2024-01-18 02:09:04',1),(508,100002,'321313','2024-01-18 03:16:22',1),(509,100003,'312313','2024-01-18 03:27:39',1),(510,101340,'冒险者','2024-01-18 07:08:58',0),(511,100004,'你好呀','2024-01-18 10:10:44',1),(512,100005,'你好','2024-01-19 00:54:16',1),(513,100006,'hhhh','2024-01-20 18:48:15',1),(514,100007,'gggg','2024-01-20 19:13:40',1),(515,100008,'柔柔弱弱','2024-01-20 19:16:25',1),(516,100009,'999','2024-01-21 01:05:09',1),(517,100010,'66666','2024-01-21 05:02:50',1),(518,100011,'冒险者','2024-01-21 19:37:59',0),(519,100012,'6555','2024-01-22 11:48:03',1),(520,100013,'32131','2024-01-22 18:17:48',1),(521,100014,'1231231','2024-01-22 22:39:47',1),(522,100017,'5#','2024-01-23 19:17:19',1),(523,100019,'8','2024-01-23 19:17:36',1),(524,100020,'冒险者','2024-01-29 02:44:26',0),(525,100021,'123456','2024-02-03 04:18:18',1),(526,100024,'大魔王','2024-02-04 22:44:29',1);
/*!40000 ALTER TABLE `player` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `player_pet`
--

DROP TABLE IF EXISTS `player_pet`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `player_pet` (
  `pet_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '宠物唯一Id',
  `pet_player_id` bigint(32) NOT NULL COMMENT '宠物所属的玩家Id',
  `pet_tb_id` bigint(20) unsigned NOT NULL COMMENT '宠物配置表Id',
  `pet_star` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '宠物星级',
  `pet_star_exp` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '宠物星级经验',
  `version` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '更新版本号',
  PRIMARY KEY (`pet_id`),
  UNIQUE KEY `pet_player_id_pet_tb_id` (`pet_player_id`,`pet_tb_id`) COMMENT '每个人相同的宠物只能一个'
) ENGINE=InnoDB AUTO_INCREMENT=2456 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `player_pet`
--

LOCK TABLES `player_pet` WRITE;
/*!40000 ALTER TABLE `player_pet` DISABLE KEYS */;
INSERT INTO `player_pet` VALUES (2406,506,10004,0,0,0),(2407,506,10003,0,0,0),(2408,506,10002,0,0,0),(2409,506,10001,0,0,0),(2411,507,10004,13,472,4),(2416,507,10005,0,0,0),(2417,507,10006,0,0,0),(2418,507,10003,10,393,2),(2419,507,10001,5,5,1),(2420,508,10004,24,614096,5),(2421,508,10002,0,0,0),(2422,508,10001,0,0,0),(2423,508,10003,0,0,0),(2424,509,10004,16,13343,4),(2425,511,10004,12,174,2),(2426,511,10001,6,32,1),(2427,511,10002,5,6,1),(2428,511,10003,8,112,1),(2429,512,10004,0,0,0),(2430,512,10003,0,0,0),(2431,512,10001,0,0,0),(2432,512,10002,0,0,0),(2433,507,10002,6,32,1),(2434,513,10004,0,0,0),(2435,514,10004,0,0,0),(2436,515,10004,0,0,0),(2437,515,10002,0,0,0),(2438,515,10001,0,0,0),(2439,515,10003,6,3,2),(2440,516,10004,0,0,0),(2441,516,10003,0,0,0),(2442,516,10001,0,0,0),(2443,516,10007,0,0,0),(2444,516,10005,0,0,0),(2445,516,10006,0,0,0),(2446,517,10004,0,0,0),(2447,517,10003,0,0,0),(2448,517,10002,0,0,0),(2449,519,10004,0,0,0),(2450,520,10004,0,0,0),(2451,521,10004,0,0,0),(2452,522,10004,0,0,0),(2453,523,10002,0,0,0),(2454,525,10004,0,0,0),(2455,526,10004,0,0,0);
/*!40000 ALTER TABLE `player_pet` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `player_tactical`
--

DROP TABLE IF EXISTS `player_tactical`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `player_tactical` (
  `player_id` bigint(32) unsigned NOT NULL COMMENT '服务器玩家Id',
  `tactical_data` varchar(255) DEFAULT NULL COMMENT '阵法数据',
  PRIMARY KEY (`player_id`),
  UNIQUE KEY `player_id` (`player_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `player_tactical`
--

LOCK TABLES `player_tactical` WRITE;
/*!40000 ALTER TABLE `player_tactical` DISABLE KEYS */;
INSERT INTO `player_tactical` VALUES (506,'[0,2407,0,2409,2406,0,0,2408,0]'),(507,'[0,0,0,0,2411,0,0,2418,0]'),(508,'[0,2421,0,2422,2420,0,0,0,0]'),(509,'[0,0,0,0,2424,0,0,0,0]'),(511,'[0,0,0,0,2425,0,0,0,0]'),(512,'[0,0,0,0,2429,0,0,0,0]'),(513,'[0,0,0,0,2434,0,0,0,0]'),(514,'[0,0,0,0,2435,0,0,0,0]'),(515,'[0,2437,0,0,2439,0,0,2436,0]'),(516,'[0,2442,0,2444,2440,2443,2445,0,2441]'),(517,'[0,2448,0,0,2446,0,0,2447,0]'),(518,NULL),(519,'[0,0,0,0,2449,0,0,0,0]'),(520,'[0,0,0,0,2450,0,0,0,0]'),(521,NULL),(522,'[0,0,0,2452,0,0,0,0,0]'),(523,'[0,0,0,0,0,0,0,0,0]'),(524,NULL),(525,'[0,0,0,0,2454,0,0,0,0]'),(526,NULL);
/*!40000 ALTER TABLE `player_tactical` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `resource`
--

DROP TABLE IF EXISTS `resource`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `resource` (
  `resource_id` bigint(32) unsigned NOT NULL AUTO_INCREMENT COMMENT '玩家资源Id',
  `player_id` bigint(32) NOT NULL COMMENT '玩家Id',
  `resource_tb_id` bigint(32) NOT NULL COMMENT '玩家资源配置表Id',
  `resource_value` bigint(32) unsigned NOT NULL COMMENT '玩家资源数量',
  `version` bigint(32) unsigned NOT NULL DEFAULT '0' COMMENT '版本号',
  PRIMARY KEY (`resource_id`),
  UNIQUE KEY `playerid_resourcetbid` (`player_id`,`resource_tb_id`) COMMENT '玩家的同一个资源是唯一的'
) ENGINE=InnoDB AUTO_INCREMENT=1337 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `resource`
--

LOCK TABLES `resource` WRITE;
/*!40000 ALTER TABLE `resource` DISABLE KEYS */;
INSERT INTO `resource` VALUES (1289,506,90006,2,1),(1290,507,90006,202,421),(1291,507,90001,133000,641),(1292,508,90006,82608693,10),(1293,508,90001,100,0),(1294,509,90006,32233,4),(1295,511,90006,479,30),(1296,511,90002,995,4),(1297,511,90001,98699,2),(1298,511,90003,99996,3),(1299,507,90004,99980,19),(1300,512,90001,400,3),(1303,512,90006,19,18),(1304,512,90003,4,3),(1305,512,90004,4,3),(1306,512,90005,3,2),(1307,512,90002,2,5),(1308,507,90002,10302,54),(1310,507,90005,1,4),(1311,507,90007,711,48),(1313,513,90007,99969,5),(1315,513,90004,5,6),(1316,513,90005,4,5),(1317,513,90001,2500,24),(1321,515,90007,1,42),(1323,515,90002,18,65),(1324,515,90001,1003299,231),(1325,515,90003,3999833,232),(1326,515,90004,1000000,7),(1327,515,90006,168,235),(1328,516,90006,4,3),(1329,516,90001,2900,178),(1330,516,90002,133,55),(1331,516,90004,4,5),(1332,517,90001,600,5),(1333,520,90003,1,0),(1334,520,90004,2,5),(1335,520,90001,8000,1),(1336,525,90001,1100,10);
/*!40000 ALTER TABLE `resource` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `user`
--

DROP TABLE IF EXISTS `user`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user` (
  `user_id` bigint(32) unsigned NOT NULL AUTO_INCREMENT COMMENT '玩家Id',
  `user_pass` varchar(255) NOT NULL COMMENT '玩家密码',
  `user_name` varchar(255) NOT NULL COMMENT '玩家名称',
  PRIMARY KEY (`user_id`)
) ENGINE=InnoDB AUTO_INCREMENT=100025 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `user`
--

LOCK TABLES `user` WRITE;
/*!40000 ALTER TABLE `user` DISABLE KEYS */;
INSERT INTO `user` VALUES (100000,'123456','玩家名称'),(100001,'123456','玩家名称'),(100002,'7jiotl1d','玩家名称'),(100003,'cvx7omcu','玩家名称'),(100004,'h3dmb6vm','玩家名称'),(100005,'s808xyg2','玩家名称'),(100006,'vbdjmr4t','玩家名称'),(100007,'uihg8oki','玩家名称'),(100008,'9l5usg6m','玩家名称'),(100009,'tsjgl8rn','玩家名称'),(100010,'jpgf830b','玩家名称'),(100011,'xyzwnc4z','玩家名称'),(100012,'jrwiqv5z','玩家名称'),(100013,'fam5drob','玩家名称'),(100014,'84o10poi','玩家名称'),(100015,'clahdto2','玩家名称'),(100016,'f8s79muu','玩家名称'),(100017,'cchffegz','玩家名称'),(100018,'l4b25zad','玩家名称'),(100019,'krh27xh5','玩家名称'),(100020,'4y9e62cd','玩家名称'),(100021,'4cawbyva','玩家名称'),(100022,'ksbkfq4o','玩家名称'),(100023,'030ufx16','玩家名称'),(100024,'5h5moa7z','玩家名称');
/*!40000 ALTER TABLE `user` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Dumping events for database 'pet_jisol_cn'
--

--
-- Dumping routines for database 'pet_jisol_cn'
--
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2025-04-16  8:36:56
